#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Sphinx extension that automatically documents argparse commands and options
Summary(pl.UTF-8):	Rozszerzenie Sphinksa automatycznie dokumentujące polecenia i opcje argparse
Name:		python3-sphinx_argparse
Version:	0.4.0
Release:	3
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinx-argparse/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinx-argparse/sphinx_argparse-%{version}.tar.gz
# Source0-md5:	db32f8c3208cf136b29268d1bdf61f71
URL:		https://pypi.org/project/sphinx-argparse/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-Sphinx >= 1.2.0
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
Conflicts:	python3-commonmark < 0.5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sphinx extension that automatically documents argparse commands and
options.

%description -l pl.UTF-8
Rozszerzenie Sphinksa automatycznie dokumentujące polecenia i opcje
argparse.

%prep
%setup -q -n sphinx_argparse-%{version}

%build
%py3_build

%if %{with tests}
%{__python3} -m pytest test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/sphinxarg
%{py3_sitescriptdir}/sphinx_argparse-%{version}-py*.egg-info
%changelog
* Wed Mar 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sphinx_argparse.git;a=log;h=auto/th/python3-sphinx_argparse-0.4.0-3

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 95b4198
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> a66f9e3
- python 3.13 rebuild

* Fri Mar 10 2023 Jakub Bogusz <qboosh@pld-linux.org> 4e1d28c
- python-sphinx_argparse.spec updated to 0.4.0 for python 3.7+

* Fri Mar 10 2023 Jakub Bogusz <qboosh@pld-linux.org> 57be909
- python2 note

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 850b6eb
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> fdaa7c5
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 3363a39
- release 2 (by relup.sh)

* Sat Oct 31 2020 Jakub Bogusz <qboosh@pld-linux.org> 80ad58d
- new

